VSLOCK(9)

NAME
vslock, vsunlock - lock/unlock user space addresses in memory

SYNOPSIS
#include <sys/types.h>
#include <vm/vm.h>
#include <vm/vm_extern.h>
void
vslock(caddr_t addr, u_int len);
void
vsunlock(caddr_t addr, u_int len, int dirtied);

DESCRIPTION
The vslock() and vsunlock() functions respectively lock and unlock a range of addresses belonging to the currently running process into memory. The actual amount of memory locked is a multiple of the machine's page size. The starting page number is computed by truncating addr to the nearest preceding page boundary, and by rounding up addr + len to the next page boundary. The process context to use for this operation is taken from the global variable curproc.

BUGS
The process pointer should be passed in as an argument.